Update a gateway payment schedulepatch https://cert.api.firstdata.com/gateway/v2/payment-schedules/{order-id}Use this to update a payment schedule managed by the gateway.Path Paramsorder-idstringrequiredGateway order identifier as returned in the parameter orderId.Body ParamsPaymentMethodPaymentSchedulesPatchRequestReferencedOrderPaymentSchedulesPatchRequestrequestTypestringrequiredObject name of the payment schedules patch request.storeIdstringlength ≤ 20Store ID number.nextAttemptDatedateDate of next transaction process attempt.numberOfPaymentsint321 to 999Number of times the recurring payment will process.maximumFailuresint321 to 999Number of failures that can be encountered before re-tries cease.invoiceNumberstringlength ≤ 48Invoice number.purchaseOrderNumberstringlength ≤ 128Purchase order number.transactionOriginstringenumThe source of the transaction. The possible values are ECOM (if the order was received via email or Internet), MOTO (mail order, telephone order), MAIL, PHONE and RETAIL (face to face).ECOMECOMMOTOMAILPHONERETAILAllowed:ECOMMOTOMAILPHONERETAILdynamicMerchantNamestringlength ≤ 100Dynamic merchant name for the cardholder's statement.frequencyobjectrequiredHow often payments are sent.frequency objecttransactionAmountobjectrequiredAmount of the transaction.transactionAmount objectclientLocaleobjectCountry and language of client.clientLocale objectorderIdstringlength ≤ 100Note - Client Order ID if supplied by client. If not supplied by client, IPG will generate. The first 12 alphanumeric digits are passed down to Fiserv Enterprise reporting tool, Clientline and Data File Manager (DFM).billingobjectCustomer billing information.billing objectshippingobjectShipping information.shipping objectindustrySpecificExtensionsobjectIndustry-specific information.industrySpecificExtensions objectcommentsstringlength ≤ 1024User supplied comments.paymentMethodobjectrequiredVarious payment methods the Gateway supports. Abstract class, do not use this class directly, use one of its children.paymentMethod objectHeadersContent-TypestringenumrequiredDefaults to application/jsonContent type.application/jsonAllowed:application/jsonClient-Request-IdstringrequiredA client-generated ID for request tracking and signature creation, unique per request. This is also used for idempotency control. We recommend 128-bit UUID format.Api-KeystringrequiredKey given to merchant after boarding associating their requests with the appropriate app in Apigee.Timestampint64requiredEpoch timestamp in milliseconds in the request from a client system. Used for Message Signature generation and time limit (5 mins).Message-SignaturestringrequiredUsed to ensure the request has not been tampered with during transmission. The Message-Signature is the Base64 encoded HMAC hash (SHA256 algorithm with the API Secret as the key.) For more information, refer to the supporting documentation on the Developer Portal.Responses 200Success response. 400The request cannot be validated. 401The request was unauthorized. 404The requested resource doesn't exist. 409There was a problem communicating with the endpoint. 422There was a problem communicating with the endpoint. 500An unexpected internal server error occurred.Updated 8 months ago